?cCopyright 2002-2009 MarvellR.?
All rights reserved.


--------------------------------------------------------------------------------

Readme File for YK62X86.sys v11.22.3.3, Windows 7 (32 bit)



This file contains 
1  Overview 
2  Required Files 
3  Installation 

3.1  Installing the Driver 
3.2  Updating the Driver 

4  Parameters 



--------------------------------------------------------------------------------


1  Overview 
yk62x86.sys: 32-bit Miniport driver, NDIS6.2



2  Required Files 
To install the driver, the following files are required:

yk62x86.sys: Miniport driver, NDIS6.2
yk62x86.inf: installation setup script
yk62x86.cat: digital signature (only if the driver is certified)
yk62x86.dll: installation library



3  Installation 
3.1  Installing the Driver 

If the operating system cannot find a driver for the adapter, it is installed 
as "Ethernet Controller" under "Other Devices" in the "Device Manager". 
In this case, you must perform a driver update to install the driver. 
For details, see the next section.



3.2  Updating the Driver 

To update the driver:

1.  On the desktop, right-click on MY COMPUTER.
2.  Select MANAGE.
3.  In the "Device Manager", double-click your adapter.
4.  Select DRIVER.
5.  Click UPDATE DRIVER...
6.  Follow the instructions given by the operating system to locate the 
    driver.
7.  If the driver which is found to be the latest is not the one you want to 
    install, select the check box "Install one of the other drivers".
8.  Click NEXT. 
9.  From the driver list, select the driver to be installed.
10. Click NEXT.
11. If a message is displayed saying the driver is not digitally signed by
    Microsoft, click YES.
12. Click FINISH to complete the installation.

NOTE: The latest version of the driver is available for download from our
      web site.



4  Parameters 
The driver allows you to modify several options in order to optimize the 
operation of your adapter.

1.  In "Network Connections", right-click the adapter you want to configure.
2.  Select "Properties". 
3.  Click "Configure".
4.  Click "Advanced".
5.  In the "Property" box, select the option you want to change.
6.  Enter the desired value in the "Value" box.
7.  Click OK .
    The operating system will reload the driver with the changed settings.

The parameters supported by the driver are described below.


Network Address
----------------
Default value:  burned-in adapter address
Valid range:    "02-00-00-00-00-01" to "FE-FF-FF-FF-FF-FF" (hexadecimal), 
                      where at least the "multicast" bit (bit 0) must not 
                      be set (it indicates that the address field contains an 
                      individual address) and the "locally administered" bit 
                      (bit 1) is set (the address has been assigned by a 
                      local administrator). These two bits are the first and 
                      second bit transmitted on the LAN medium.

CAUTION: Each individual network MAC address can only be used once in a
         network. Assigning the same address to more than one adapter in 
         the same network is not allowed and can cause serious problems.

To use a network MAC address other than the one burned into the adapter,
enter the network address in the following hexadecimal format:

	e.g.: 02-00-5A-98-12-34

If the network address field is left blank (or a different number of digits is
specified), the network address burned into the adapter will be used.


Jumbo Packet
-------------
Specifies the frame size the driver supports. 
The performance of your network usually increases when Jumbo frames with 
a size > 1514 are used. 

Default value: "1514 Bytes"
Valid values:   
              - "4088 Bytes"
              - "9014 Bytes"

NOTE: If you are not sure whether your network supports Jumbo frames,
      do not set the size to > 1514.

NOTE: For Fast Ethernet adapters, the valid range is limited to 1514.


IPv4 Checksum Offload
----------------------
Used to control the hardware checksum offload for IPv4 traffic. 
There should be no need to disable checksum offload.

Default value: "Tx & Rx Enabled"
Valid values: 
	- "Tx & Rx Enabled"
	- "Tx Enabled"
	- "Rx Enabled"
	- "Disabled"


TCP Checksum Offload (IPv4), UDP Checksum Offload (IPv4),
TCP Checksum Offload (IPv6), UDP Checksum Offload (IPv6)
----------------------------------------------------------
Used to control the hardware checksum offload for the combinations of
TCP/UDP and IP versions. 
There should be no need to disable checksum offload.

Default value: "Tx & Rx Enabled"
Valid values: 
	- "Tx & Rx Enabled"
	- "Tx Enabled"
	- "Rx Enabled"
	- "Disabled"

NOTE: The IPv6 parameters are not available for every adapter type.




Wake-Up Capabilities
---------------------
Default value: "Magic Packet & Pattern Match"
Valid values:
	- "None"
		Wake On LAN capabilities are disabled
	- "Magic Packet":
		Wake-up with Magic Packet from Shutdown state,
		wake-up OS-controlled from Hibernate or Standby state
	- "Pattern Match":
		Wake-up with a packet containing a special pattern from
		Shutdown state, wake-up OS-controlled from Hibernate or
		Standby state
	- "Magic Packet & Pattern Match":
		Wake-up with both from Shutdown state, 
		wake-up OS-controlled from Hibernate or Standby state
	- "Link Change":
		Wake-up with link change from Shutdown state,
		wake-up OS-controlled from Hibernate or Standby state

                        
Wake From Shutdown
-------------------
Default value: "Off"
Valid values:
	- "Off"
		Disable the capabilities of the adapter to wake up the 
		system from Shutdown state.
	- "On"
		Allow the adapter to wake up the system from Shutdown 
		state.


Energy Star
------------
Used to reduce power consumption in Standby and Hibernate state when
Wake On LAN capabilities are enabled.

Default value: "Enabled"
Valid values:
	- "Disabled":
		No energy saving functions are switched on in the adapter. 
	- "Enabled":
		The link speed is switched to 10 Mbps to reduce power 
		consumption.

NOTE: This parameter is not available for every adapter type.


Receive Buffers
----------------
Defines the number of receive buffers allocated by the driver. 
If the system does not have enough resources, the driver will fail to load. 
Increasing this value may improve the performance.

For Yukon family based Ethernet adapters, the following values are used:
Default value:  50 (decimal)
Valid range:    3..500 (decimal)

For Yukon2 family based Ethernet adapters, the following values are used:
Default value:  256 (decimal)
Valid range:    256..512 (decimal)


Transmit Buffers
-----------------
Defines the number of transmit buffers allocated by the driver. 
If the system does not have enough resources, the driver will fail to load. 
Increasing this value may improve the performance.

For Yukon family based Ethernet adapters, the following values are used:
Default value:  50 (decimal)
Valid range:    4..200 (decimal)

For Yukon2 family based Ethernet adapters, the following values are used:
Default value:  256 (decimal)
Valid range:    256..512 (decimal)


Interrupt Moderation
---------------------
If more than the specified rate of interrupts occur, the Interrupt Moderation 
function groups these interrupts so that several data packets can be handled 
per interrupt. This will lead to lower CPU utilization but may increase the 
latency.

Default value: "Enabled"
Valid values:
	- "Enabled"
	- "Disabled"


Max IRQ per Sec
----------------
Specifies the interrupt rate for Interrupt Moderation. 
If Interrupt Moderation is set to "Off", it will be ignored.

Default value:  5000 (decimal)
Valid range:    1000..30000 (decimal)


Log Status Messages
--------------------
Specifies the messages which are to be logged in the event log.

Default value: "Status Messages"
Valid values:
	- "All Messages":
		Should only be used for test purposes.
	- "Status Messages":
		The driver will generate an event log entry every time the 
		link status changes.
	- "Warnings":
		Only warning or error messages will be generated.
	- "Errors":
		Only error messages will be generated.
	- "None":
		All driver messages will be suppressed (not 
		recommended).


Speed & Duplex
---------------
Contains information regarding auto-negotiation, duplex capabilities, and link
speed. 

Default value: "Auto-Negotiation"
Valid values:
	- "Auto-Negotiation"
	- "10 Mbps Half Duplex"
	- "10 Mbps Full Duplex"
	- "100 Mbps Half Duplex"
	- "100 Mbps Full Duplex"
	- "1000 Mbps Full Duplex"

NOTE: This parameter is not valid for fiber adapters.


Preferred Port
---------------
Sets the preferred port for RLMT (Redundant Link Management Technology). 
This port will be used for all network traffic when more than one port has an 
active link to the network.

Default value: "A"
Valid values:
	- "A"
	- "B"

NOTE: This parameter is only available for dual link adapters.


RLMT Mode
----------
Default value: "CLS"
Valid values:
	- "CLS" (Check Link State): 
		RLMT uses the link state reported by the adapter hardware
		for each individual port to determine whether a port can be 
		used for all network traffic or not.
	- "CLP" (Check Local Port):
		RLMT monitors the network path between the two ports of
		an adapter by regularly exchanging packets between them. 
		This mode requires a network configuration in which the 
		two ports "see" each other (i.e., there must not be any 
		router between the ports).
	- "CLPSS" (Check Local Ports and Segmentation Status):
		Supports 	the same functions as "CLP" mode, and 
		additionally checks network segmentation by sending BPDU
		hello packets.
		This mode only works when Gigabit Ethernet switches are
		installed on the network that have been configured to use
		the Spanning Tree protocol.

NOTE: RLMT modes "CLP" and "CLPSS" are designed to operate in 
      configurations where a network path between the ports on one adapter
      exists. Moreover, they are not designed to work where adapters are
      connected back-to-back. This parameter is only available for dual link 
      adapters.


Priority & VLAN
----------------
Enables/disables 802.1p (QoS) and/or 802.1q (VLAN) capability. 

Default value: "Priority Enabled"
Valid values:
	- "Priority Enabled"
	- "VLAN Enabled"
	- "Priority & VLAN Enabled"
	- "Priority & VLAN Disabled"
  
NOTE: This will only enable the capability of the driver to handle such 
      packets. There must be a protocol or application that passes such 
      packets to the driver.


Battery Mode Link Detection
----------------------------
Sets the mode in which the adapter works if there is no link and the system is
battery-powered.

Default value: "EnergyDetect+(TM)"
Valid values:
	- "No Energy Saving":
		No energy saving functions are switched on in the adapter. 
	- "Maximum Energy Saving":
		If there is no link, the adapter is switched off.
		The driver wakes up the adapter every 20 seconds to check 
		if there is a new link.
	- "EnergyDetect+(TM)":
		In "EnergyDetect+(TM)" mode the link is activated faster 
		than in "Maximum Energy Saving" mode, but the adapter 
		requires more power.

NOTE: This parameter is not available for every adapter type.


Battery Speed Settings
-----------------------
Sets the link speed for the adapter when the system is battery-powered.

Default value: "Full Speed"
Valid values:	
	- "Smart Speed Down":
		The link speed is switched to 10/100 Mbps to reduce
		power consumption.
	- "Full Speed":
		The adapter works with maximum speed and maximum 
		power consumption (no energy saving, same as when 
		the system is supplied by AC power).

NOTE: This parameter is not available for every adapter type.


Flow Control
-------------
Sets the flow control capabilities for auto-negotiation.

Default value: "Tx & Rx Enabled"
Valid values:
	- "Disabled":
		No link partner is allowed to send PAUSE frames.
	- "Tx & Rx Enabled":
		Both link partners are allowed to send PAUSE frames.
		
This parameter can be set for each port individually, which is helpful if the 
port at the other end of the cable cannot handle all possible combinations. 
Using the default setting, the adapter should automatically detect the 
capabilities of the peer port.

   
Large Send Offload (IPv4)
--------------------------
Used to control the capability of Large Send Offload for IPv4 traffic.

Default value: "Enabled"
Valid values:
	- "Enabled":
		The big packets are segmented on the adapter before sent 
		to the network. Using this method, load will be taken from 
		the processor.
	- "Disabled":
		The packets are not segmented by the adapter.

NOTE: This parameter is only available starting with adapters based on the 
      Yukon2 chip.


Large Send Offload v2 (IPv4),
Large Send Offload v2 (IPv6)
------------------------------
Used to control the capability of Large Send Offload version 2 for IPv4 and 
IPv6 traffic.

Default value: "Enabled"
Valid values:
	- "Enabled"
	- "Disabled"
	
NOTE: These parameters are not available for every adapter type.
		

Receive-Side Scaling
---------------------
Enables/disables balancing the receive network load from a network adapter
across multiple CPUs.

Default value: "Disabled"
Valid values:
	- "Enabled"
	- "Disabled"

NOTE: This parameter is not available for every adapter type.


*** End of Readme File ***

